После обновления стал недоступен плагин

Moderator
Yui

(@fierevere)

ゆい

В WordPress 5.5 начат процесс обновления библиотеки jQuery,
см – https://make.wordpress.org/core/2020/06/29/updating-jquery-version-shipped-with-wordpress/
это может создавать проблемы со старыми плагинами и темами, зависящими от старой версии.Для начала, убедитесь что у вас есть резервная копия сайта, созданная до обновления WordPress. Возможно, если вы не найдете решения, вам придется откатить сайт на состояние до обновления.
(Или вы правда ринулись обновляться сразу же после выхода новой версии даже не создав бэкап?)

1. Проверьте обновления всех плагинов и тем. Установите их, если обновления есть.

2. Установите и активируйте плагин восстановления совместимости со старой версией jQuery
https://ru.wordpress.org/plugins/enable-jquery-migrate-helper/

Это временное решение, которое поможет вам ровно до того момента, пока плагины и темы не будут обновлены.
В вашу консоль будут выводиться сообщения отладки, вы можете использовать их для поиска виновного старого плагина.

3. Сообщите авторам старых плагинов о необходимости обновления.
Используйте сообщения отладки полученные от плагина Enable jQuery Migrate Helper

4. Не забывайте проверять и устанавливать обновления плагинов и тем (или просто включите автообновления для них)

Спасибо, все заработало



Source link